//====================================================================================================

//====================================================================================================
.header {
	position: absolute;
	width: 100%;
	top: 0px;
	left: 0px;
	min-height: 40px;
	@media (max-width: $md3+px){
		min-height: 5px;
	}
}
._scroll{
	.header__wrapper{
		background-color: rgba(255,255,255,0.8);
		@media (any-hover: hover) {
			&:hover{
				background-color: rgba(255,255,255,0.9);
			}
		}
	}
	.header__body{
		min-height: 50px;
		@media (min-height: $md2+px){
			min-height: 70px;
		}
	}
}

.header__wrapper {
	    transition: background-color 0.3s ease 0s;
		position: fixed; //?
		width: 100%;
		left: 0;
		top: 0;
		z-index: 50; //?
		}

.header__content_container {

		}
		
.header__body {
	    transition: min-height 0.3s ease 0s;
		display: flex;
		z-index: 5;
		align-items: center; //?
		padding: 5px 0;
		min-height: 125px;
		position: relative;
		@media (max-width:$md2+px) {
			min-height: 80px;
		}
		@media (max-width: $md3+px) {
			min-height: 50px;
		}
	}

.header__main {
		display: flex;
		z-index: 5;
		align-items: center;
		flex: 0 0 494/1240*100%; //используем деление для результата в %
		@media (max-width: $md2+px) {
			flex: 1 1 auto;
		}
	}

.header__logo {
	color: #000000;
	font-weight: 700;
	font-size: 24px;
	position: relative;
	z-index: 5;
	line-height: 29/24*100%;
	@media (max-width: $md3+px) {
		font-size: 26px;
		
	}
}
.header__menu {
}
.menu {
	flex: 0 1 420px;
}
.menu__body {
	@media (max-width:$md3+px ) {
		position: fixed;
		width: 100%;
		height: 100%;
		overflow: auto;
		top: 0;
		left: -100%;
		background-color: #fcf3f3;
		transition: left 0.3s ease 0s ;
		padding: 70px 15px 30px 15px;
		&::before{ // плашка меню при скроле!!!
			content: "";
			position: fixed;
			width: 100%;
			height: 50px;
			top: 0;
			left: -100%;
			transition: left 0.3s ease 0s;
			background-color: #fcf3f3;
			z-index: 2;
		}
		&._active{
			left: 0;
			&::before{
				left: 0;
			}

		}
	}
}
.menu__list {
	@media ( min-width:$md3+px ) {
		display: flex;
		flex-wrap: wrap; //?
		justify-content: space-evenly; //?
	}
}
.menu__item {
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-wrap: wrap;
	margin: 0px 3px;
	padding: 5px 0px; // отступ безопасности
	position: relative; //?
	// Показ меню, при наведении на ПК
	@media (any-hover: hover) { // с этим медиа запросом стили работают там где есть мышь
		&:hover {
			.menu__sub-list{
				transform: translate(0px,0px);
				opacity: 1;
				visibility: visible;
				pointer-events: auto; // помогает отобразить меню когда мышку уже убрали
			}
			.menu__arrow {
				transform: rotate(-180deg); // анимирует стрелку
			}
			.menu__arrow,
			.menu_link {
				color: $redcolor; // мы перекрасили при наведении меню и стрелочку
			}
		}
	}
	@media (min-width: $md3+px) {
		&:hover {
			.menu__sub-list{
				transform: translate(0px,0px);
				opacity: 1;
				visibility: visible;
				pointer-events: auto; // помогает отобразить меню когда мышку уже убрали
			}
			.menu__arrow {
				transform: rotate(-180deg); // анимирует стрелку
			}
			.menu__arrow,
			.menu_link {
				color: $redcolor; // мы перекрасили при наведении меню и стрелочку
			}
		}
	}
	@media (max-width: $md3+px){
		margin: 0px 0px 15px 0px;
		&:last-child{
			margin-bottom: 0px;
		}
	}
}


.menu_link {
	font-weight: 500;
	color: inherit; //? наследует цвет
	transition: color 0.3s ease 0s; // ? анимация меняет цвет hover
	@media (max-width: $md3+px) {
		font-size: 20px;
		font-weight: 550;
		
	}
}
.menu__arrow {
	margin: 0 0 0 8px;
	transition: all 0.3s ease 0s; // ? анимация стрелочки
	font-size: 8px;
	@media (max-width: $md3+px) {
		font-size: 10px;
		&._active {
			transform: rotate(-180deg);
		}
		
	}

}
._icon-arrow-down {
}
.menu__sub-list { //подменю
	position: relative;
	background-color: $redcolor;
	padding: 15px;
	flex: 1 1 100%; //?
	@media (min-width: $md3+px) { //задаём стили для ПК
		//убираем меню прячем ???
		opacity: 0;
		transition: all 0.3s ease 0s;
		transform: translate(0, 10px);
		visibility: hidden;
		min-width: 200px;
		pointer-events: none; //???
		left: 0px;
		position: absolute;
		top: 100%;
		z-index: 5;
	}
	@media (max-width: $md3+px){
		margin: 10px -15px 0px -15px;
	}
}
.menu__sub-item {
	&:not(:last-child){ //псевдо элемент нот, значение: используем отступ для всех обЪектов кроме последнего
		margin: 0 0 5px 0;
		@media (max-width: $md3+px){
			margin: 0 0 10px 0;
		}
	}
}
.menu__sub-link {
	color: #fff;
	line-height: 120%;
	@media (any-hover: hover) {
		&:hover{
			text-decoration: underline;
		}
	}
}
.header__search {
	@include adaptiv-value("padding-right",32, 15, 1);
	@media (min-width: $md2+px){
		flex: 1 1 auto;
	}
}
.search-form {
	max-width: 473px;
	&._active{ //? смотри js
		.search-form__item{
			opacity: 1;
			top: 100%;
			visibility: visible;
		}
		.search-form__icon {
			color: $redcolor;
		}
	}
}
.search-form__icon {
	position: relative;
	z-index: 5;
	font-size: 22px;
	color:#562626;
	@media (min-width: $md2+px) {
		display: none;
	}
}
._icon-search {
}
.search-form__item {
	background-color:#fff;
	display: flex;
	align-items: center;
	@media (max-width: $md2+px) {
		box-shadow: 0 0 5px rgba(212, 205, 205, 0.3); // тень добавили
		position: absolute;
		width: 100%;
		left: 0%;
		top: -100%;
		z-index: 5; //?
		opacity: 0;
		visibility: hidden; //?
		transition: all 0.3s ease 0s;

	}
}
.search-form__btn {
	flex: 0 0 45px;
	height: 45px;
	font-size: 15px;
	color: #333333;
}
.search-form__input {
	font-size: 14px;
	width: 100%;
	padding: 0px 20px 0px 0px;
	color: $darkGraycolor;
}
.header__actions {
}
.actions-header {
	position: relative;
	z-index: 5; //?
	display: grid; //?
	grid-template-columns: auto; //?
	grid-auto-flow: column; //?
	align-items: center;
	@include adaptiv-value("gap", 32, 15, 1);
}
.action-header__item {
}
.action-header__item_favorites {
	color:#562626;
	font-size: 24px;
	transition: color 0,3s ease 0s;
	@media (any-hover: hover) {
		&:hover{
			color: $redcolor;

		}
	}
}
._icon-favorite {
}
.cart-header {
}
.cart-header__icon {
	color:#562626;
	font-size: 24px;
	transition: color 0,3s ease 0s;
	position: relative;
	display: block;
	@media (any-hover: hover) {
		&:hover{
			color: $redcolor;

		}
	}
	span {
		position: absolute;
		width: 20px;
		height: 20px;
		display: flex;
		justify-content: center;
		align-items: center;
		top: -10px;
		right: -10px;
		border-radius: 50%;
		background-color: $redcolor;
		color:#fff;
		font-size: 12px;
	}
}

._icon-cart {
}
.cart-header__body {
		background: #f4f5f7;
		border: 1px solid #e0e0e0;
		position: absolute;
		top: 60px;
		right: 0;
		padding: 15px;
		width: 300px;
		z-index: 5;
		opacity: 0;
		visibility: hidden;
		transition: all 0.3s ease 0s;
		transform: translate(0px, 20px);
		._active & {
			opacity: 1;
			visibility: visible;
			transform: translate(0px, 0px);
		}
		@media (max-width: $md2+px) {
			top: 50px;
		}
		@media (max-width: $md3+px) {
			position: fixed;
			top: 50px;
			left: 0;
			width: 100%;
		}
	}

.cart-header__list {
}

.cart-list {
	overflow: auto;
	max-height: 200px; }

.cart-list__image
	{
		flex: 0 0 100px;
		height: 100px;
	}

.cart-list__body
	 {
		flex: 1 1 auto;
		display: flex;
		flex-direction: column;
		align-items: flex-start;
		padding: 0px 0px 0px 10px;
	}
	 .cart-list__title {
		color: inherit;
		font-weight: 600;
		transition: color 0.3s ease 0s;
		margin: 0px 0px 5px/16px * 1em 0px;
		@media (any-hover: hover) {
			&:hover {
				color: $redcolor;
			}
		}
	}
	 .cart-list__quantity {
		font-size: 14px;
		margin: 0px 0px 5px/16px * 1em 0px;
	}

    .cart-list__delete
	 {
		color: red;
		font-size: 14px;
		@media (any-hover: hover) {
			&:hover {
				text-decoration: underline;
			}
		}
	}
	 .cart-list__item
	 {
		display: flex;
		align-items: flex-start;
		&:not(:last-child) {
			margin: 0px 0px 15px 0px;
		}
	}

.cart {
}
.list {
}
.action-header__item_user {
	overflow: hidden; //?
	border-radius: 50%;
	@include adaptiv-value ("width", 40, 30, 1);
	@include adaptiv-value ("height", 40, 30, 1);
}
._ibg {
}

.icon-menu {
	display: none;
	@media (max-width: $md3+px) {
		@include adaptiv-value ("margin-left",32,15,1);
		position: relative;
		display: block;
		width: 30px;
		flex: 0px 0px 30px;
		height: 18px;
		cursor: pointer;
		z-index: 5;
		span {
			transition: all 0.3s ease 0s;
			top: calc(50% - 1px);
			left: 0px;
			position: absolute;
			width: 100%;
			height: 2px;
			background-color: #000;
			&:first-child {
				top: 0px;
			}
			&:last-child {
				top: auto;
				bottom: 0px;
			}
		}
		&._active {
			span {
				transform: scale(0);
				&:first-child {
					transform: rotate(-45deg);
					top: calc(50% - 1px);
				}
				&:last-child {
					transform: rotate(45deg);
					bottom: calc(50% - 1px);
				}
			}
		}
	}
}

